Phpmyadmin : un paquet immortel

Fermé
Signaler
Messages postés
127
Date d'inscription
lundi 13 août 2007
Statut
Membre
Dernière intervention
15 mai 2013
-
Messages postés
127
Date d'inscription
lundi 13 août 2007
Statut
Membre
Dernière intervention
15 mai 2013
-
Bonjour,

Je crois que j'ai à peu près tout tenté pour supprimer phpmyadmin, espérant repartir sur du propre. Malheureusement, il est bloqué et me renvoit toujours une erreure 100 : que dois-je faire ?

Les paquets suivants seront ENLEVÉS :
  phpmyadmin
0 mis à jour, 0 nouvellement installés, 1 à enlever et 0 non mis à jour.
1 partiellement installés ou enlevés.
Après cette opération, 13,4Mo d'espace disque seront libérés.
Souhaitez-vous continuer [O/n] ? O
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Ressource temporairement non disponible
E: Sub-process /usr/bin/dpkg returned an error code (100)

14 réponses

Messages postés
21331
Date d'inscription
jeudi 4 novembre 2004
Statut
Modérateur, Contributeur sécurité
Dernière intervention
30 octobre 2019
3 562
RE,

Ca fait longtemps depuis quand je n'ai pas utilisé apt-get
sudo apt-get remove --purge phpmyadmin
1
Merci

Quelques mots de remerciements seront grandement appréciés. Ajouter un commentaire

CCM 41989 internautes nous ont dit merci ce mois-ci

Messages postés
21331
Date d'inscription
jeudi 4 novembre 2004
Statut
Modérateur, Contributeur sécurité
Dernière intervention
30 octobre 2019
3 562
Salut,

Affiche le résultat de
lsof /var/cache/debconf/config.dat
Messages postés
127
Date d'inscription
lundi 13 août 2007
Statut
Membre
Dernière intervention
15 mai 2013
18
ARF, enfin une réponse :-)

Voila ce que ça donne :


newmorning@newmorning:~$ sudo lsof /var/cache/debconf/config.dat
lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system /home/newmorning/.gvfs
      Output information may be incomplete.
newmorning@newmorning:~$ 


Ca chauffe ou ça brûle ?
Messages postés
21331
Date d'inscription
jeudi 4 novembre 2004
Statut
Modérateur, Contributeur sécurité
Dernière intervention
30 octobre 2019
3 562
Re,

As-tu par hasard synaptique ouvert?
Messages postés
127
Date d'inscription
lundi 13 août 2007
Statut
Membre
Dernière intervention
15 mai 2013
18
Plus depuis un moment. C'était peut-être le cas lors de mon premier post, mais ça ne change pas vraiment :

root@newmorning:/home/newmorning# apt-get autoremove
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
  phpmyadmin: Dépend: libapache2-mod-php5 mais il n'est pas installé ou
                       php5-cgi mais il n'est pas installé ou
                       php5 mais il n'est pas installé
              Dépend: php5-mysql mais il n'est pas installé ou
                       php5-mysqli mais il n'est pas installable
E: Dépendances manquantes. Essayez d'utiliser l'option -f.
root@newmorning:/home/newmorning# apt-get -f autoremove
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libhtml-template-perl mysql-server-5.0 mysql-server-core-5.0
  nvidia-kernel-common
Les paquets supplémentaires suivants seront installés : 
  libapache2-mod-php5 php5-mysql
Les paquets suivants seront ENLEVÉS :
  libhtml-template-perl mysql-server-5.0 mysql-server-core-5.0
  nvidia-kernel-common
Les NOUVEAUX paquets suivants seront installés :
  libapache2-mod-php5 php5-mysql
0 mis à jour, 2 nouvellement installés, 4 à enlever et 0 non mis à jour.
1 partiellement installés ou enlevés.
Il est nécessaire de prendre 0o/2549ko dans les archives.
Après cette opération, 82,5Mo d'espace disque seront libérés.
Souhaitez-vous continuer [O/n] ? O
E: Sub-process /usr/bin/dpkg returned an error code (100)
root@newmorning:/home/newmorning# 
Messages postés
21331
Date d'inscription
jeudi 4 novembre 2004
Statut
Modérateur, Contributeur sécurité
Dernière intervention
30 octobre 2019
3 562
Re,

Attention, le message dit de faire
apt-get -f install 
et pas ce que tu as fait apt-get -f autoremove
Messages postés
127
Date d'inscription
lundi 13 août 2007
Statut
Membre
Dernière intervention
15 mai 2013
18
Très juste ! Mais je suis tellement à bout avec cette histoire... Et puis l'erreur est la même :

root@newmorning:/home/newmorning# apt-get -f install 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libhtml-template-perl mysql-server-5.0 mysql-server-core-5.0
  nvidia-kernel-common
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés : 
  libapache2-mod-php5 php5-mysql
Les NOUVEAUX paquets suivants seront installés :
  libapache2-mod-php5 php5-mysql
0 mis à jour, 2 nouvellement installés, 0 à enlever et 0 non mis à jour.
1 partiellement installés ou enlevés.
Il est nécessaire de prendre 0o/2549ko dans les archives.
Après cette opération, 5796ko d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ? O
E: Sub-process /usr/bin/dpkg returned an error code (100)
root@newmorning:/home/newmorning# 
Messages postés
21331
Date d'inscription
jeudi 4 novembre 2004
Statut
Modérateur, Contributeur sécurité
Dernière intervention
30 octobre 2019
3 562
Re,

Affiche le résultat de
sudo apt-get update
Messages postés
127
Date d'inscription
lundi 13 août 2007
Statut
Membre
Dernière intervention
15 mai 2013
18
root@newmorning:/home/newmorning# sudo apt-get update
Atteint http://fr.archive.ubuntu.com jaunty Release.gpg
Atteint http://fr.archive.ubuntu.com jaunty/main Translation-fr
Atteint http://fr.archive.ubuntu.com jaunty/restricted Translation-fr
Atteint http://fr.archive.ubuntu.com jaunty/multiverse Translation-fr
Atteint http://fr.archive.ubuntu.com jaunty/universe Translation-fr
Atteint http://fr.archive.ubuntu.com jaunty-updates Release.gpg
Ign http://fr.archive.ubuntu.com jaunty-updates/main Translation-fr
Ign http://fr.archive.ubuntu.com jaunty-updates/restricted Translation-fr
Ign http://fr.archive.ubuntu.com jaunty-updates/multiverse Translation-fr
Atteint https://ubuntu.com/security/notices jaunty-security Release.gpg
Ign https://ubuntu.com/security/notices jaunty-security/main Translation-fr     
Ign http://fr.archive.ubuntu.com jaunty-updates/universe Translation-fr
Atteint http://fr.archive.ubuntu.com jaunty Release                    
Ign https://ubuntu.com/security/notices jaunty-security/restricted Translation-fr
Ign https://ubuntu.com/security/notices jaunty-security/multiverse Translation-fr
Ign https://ubuntu.com/security/notices jaunty-security/universe Translation-fr
Atteint https://ubuntu.com/security/notices jaunty-security Release
Atteint http://fr.archive.ubuntu.com jaunty-updates Release
Atteint http://fr.archive.ubuntu.com jaunty/main Packages                      
Atteint http://fr.archive.ubuntu.com jaunty/restricted Packages        
Atteint http://fr.archive.ubuntu.com jaunty/multiverse Packages
Atteint http://fr.archive.ubuntu.com jaunty/main Sources
Atteint http://fr.archive.ubuntu.com jaunty/restricted Sources
Atteint http://fr.archive.ubuntu.com jaunty/universe Packages
Atteint http://fr.archive.ubuntu.com jaunty/universe Sources
Atteint https://ubuntu.com/security/notices jaunty-security/main Packages
Atteint http://fr.archive.ubuntu.com jaunty-updates/main Packages
Atteint http://fr.archive.ubuntu.com jaunty-updates/restricted Packages
Atteint http://fr.archive.ubuntu.com jaunty-updates/multiverse Packages
Atteint http://fr.archive.ubuntu.com jaunty-updates/main Sources
Atteint http://fr.archive.ubuntu.com jaunty-updates/restricted Sources
Atteint http://fr.archive.ubuntu.com jaunty-updates/universe Packages
Atteint http://fr.archive.ubuntu.com jaunty-updates/universe Sources
Atteint https://ubuntu.com/security/notices jaunty-security/restricted Packages
Atteint https://ubuntu.com/security/notices jaunty-security/multiverse Packages
Atteint https://ubuntu.com/security/notices jaunty-security/main Sources
Atteint https://ubuntu.com/security/notices jaunty-security/restricted Sources
Atteint https://ubuntu.com/security/notices jaunty-security/universe Packages
Atteint https://ubuntu.com/security/notices jaunty-security/universe Sources
Lecture des listes de paquets... Fait
root@newmorning:/home/newmorning# 
Messages postés
21331
Date d'inscription
jeudi 4 novembre 2004
Statut
Modérateur, Contributeur sécurité
Dernière intervention
30 octobre 2019
3 562
Re,

sudo apt-get --purge phpmyadmin
Messages postés
127
Date d'inscription
lundi 13 août 2007
Statut
Membre
Dernière intervention
15 mai 2013
18
root@newmorning:/home/newmorning# sudo apt-get --purge phpmyadmin
E: L'opération phpmyadmin n'est pas valable


Il aurait disparu ?
Messages postés
127
Date d'inscription
lundi 13 août 2007
Statut
Membre
Dernière intervention
15 mai 2013
18
Et moi je fais même plus attention au code que je copie !

root@newmorning:/home/newmorning# sudo apt-get remove --purge phpmyadmin
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  apache2-utils libnet-daemon-perl libhtml-template-perl libdbi-perl
  libdbd-mysql-perl mysql-server-5.0 libapr1 mysql-client-5.0
  apache2-mpm-prefork php5-gd libplrpc-perl libmcrypt4 mysql-server-core-5.0
  nvidia-kernel-common apache2.2-common libt1-5 php5-mcrypt dbconfig-common
  libaprutil1
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets suivants seront ENLEVÉS :
  phpmyadmin*
0 mis à jour, 0 nouvellement installés, 1 à enlever et 0 non mis à jour.
1 partiellement installés ou enlevés.
Après cette opération, 13,4Mo d'espace disque seront libérés.
Souhaitez-vous continuer [O/n] ? O
E: Sub-process /usr/bin/dpkg returned an error code (100)
root@newmorning:/home/newmorning# 
Messages postés
21331
Date d'inscription
jeudi 4 novembre 2004
Statut
Modérateur, Contributeur sécurité
Dernière intervention
30 octobre 2019
3 562
Re,

Ben, supprime tous les paquets qu'il te dit.
Ensuite réinstalle ce que tu as besoin.
Messages postés
127
Date d'inscription
lundi 13 août 2007
Statut
Membre
Dernière intervention
15 mai 2013
18
Oui, en fait de paquet, je vais carrément formater le tout : extrême, mais au moins j'aurais plus le problème (normalement). Ubuntu est si simple à installer... et si vite planté !